.container-banner{
    width: 100%;
    height: 40px;
    background-color: #242833;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
}
.banner{
    width: 35%;
    max-width: 100%;
    height: 40px ;
    color: #fff;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}
@media screen and (max-width: 1200px) {
    .banner{
        width: 90%;
        font-size: 12px;
        gap: .5rem;
    }
}
@media screen and (max-width: 1850px) {
    .msg-banner span {
    font-size: clamp(11px, 1vw, 15px);
    }
}
.arrow, .msg-banner{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    color: #fff;
    height: 40px;
    transition: 0.1s
}
.arrow:hover{
    cursor: pointer;
    transform: scale(1.1);
}
.container-msg-banner {
    display: flex;
    flex-direction: row;
    overflow: hidden;
    width: 100%;
    height: 40px;
    position: relative;
}

.msg-banner {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.5s ease;
    color: #fff;
}

.msg-banner.active {
    opacity: 1;
}

.msg-banner span{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: .5rem;
}
.msg-banner span a{
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 400;
}
.msg-banner span a:hover {
    text-decoration: underline;
}
.msg-banner {
    pointer-events: none; /* non riceve eventi quando invisibile */
}

.msg-banner.active {
    opacity: 1;
    pointer-events: auto; /* solo il banner visibile riceve hover */
}
